diff --git a/pgadmin/frm/frmImport.cpp b/pgadmin/frm/frmImport.cpp
index e37f500..e28eece 100755
--- a/pgadmin/frm/frmImport.cpp
+++ b/pgadmin/frm/frmImport.cpp
@@ -1252,7 +1252,6 @@ void frmImport::OnColSettingFormatStyle(wxCommandEvent &ev)
 void frmImport::OnColSettingCellChange(wxGridEvent &ev)
 {
     int evrownr = ev.GetRow();
-    int evcolnr = ev.GetCol();
 
     if (m_colsettingerrnum==-1)
         return;
@@ -1468,7 +1467,7 @@ void frmImport::ImportData()
     {
         txtLogMessages->Clear();
 
-        if (!m_destfile && impdest==IMPDESTFCOPY || impdest==IMPDESTFINS || impdest==IMPDESTFTEST || impdest==IMPDESTFILE)
+        if ((!m_destfile && impdest==IMPDESTFCOPY) || impdest==IMPDESTFINS || impdest==IMPDESTFTEST || impdest==IMPDESTFILE)
         {
             wxString destfilename = txtDestFilePath->GetValue();
             if (wxFile::Exists(destfilename) && !wxFile::Access(destfilename, wxFile::write))
@@ -4305,7 +4304,7 @@ bool frmImport::GenCSVSQLData(wxString& rowdatalist, wxString& rowlog, wxString*
                 {
                     if (haserror)
                         rowlog.Append(END_OF_LINE);
-                    rowlog.Append(wxString::Format(_("Column: %s can not be NULL."), *m_tgtcolsnames[dbcolidx]));
+                    rowlog.Append(_("Column: ") + *m_tgtcolsnames[dbcolidx] + _("%s can not be NULL."));
                     haserror = true;
                     rowdatalist.Append(wxT("<NULL>"));
                 }
@@ -6216,7 +6215,8 @@ void frmImport::ParseColsImpSetting(int dbcolnr)
     else
     {
         txtColsSettingLog->AppendText(_("(Target column"));
-        txtColsSettingLog->AppendText(wxString::Format(wxT(" #%d: %s)"), dbcolnr, *m_tgtcolsnames[dbcolnr]));
+        txtColsSettingLog->AppendText(wxString::Format(wxT(" #%d: "),
+         dbcolnr) + *m_tgtcolsnames[dbcolnr] + wxT(")"));
 
         origsrccolnr = m_colsrccolnr[dbcolnr];
         origcolerr = m_colsettingiserr[dbcolnr];
@@ -6328,11 +6328,11 @@ void frmImport::ParseColsImpSetting(int dbcolnr)
                     m_coltrimmode[dbcolidx] = TRIMNONE;
 
                 if ((formatstyle==FORMATSTYLEANSIC || (impmode==IMPORTMODEINSERT && formatstyle==FORMATSTYLEPGSQL)) &&
-                        tgtcoltype == wxT("date") || tgtcoltype == wxT("interval") ||
+                        (tgtcoltype == wxT("date") || tgtcoltype == wxT("interval") ||
                         tgtcoltype == wxT("time") || tgtcoltype == wxT("time without time zone") ||
                         tgtcoltype == wxT("timetz") || tgtcoltype == wxT("time with time zone") ||
                         tgtcoltype == wxT("timestamp") || tgtcoltype == wxT("timestamp without time zone") ||
-                        tgtcoltype == wxT("timestamptz") || tgtcoltype == wxT("timestamp with time zone"))
+                        tgtcoltype == wxT("timestamptz") || tgtcoltype == wxT("timestamp with time zone")))
                 {
                     colfmt = gridColSetting->GetCellValue(dbcolidx, FILEFMTCOLNUM);
                     if (colfmt.IsEmpty())
@@ -6643,7 +6643,7 @@ void frmImport::ParseColsImpSetting(int dbcolnr)
     }
     else
     {
-        txtColsSettingLog->AppendText(wxString::Format(_("The setting of target column #%d: %s"), dbcolnr, *m_tgtcolsnames[dbcolnr]));
+        txtColsSettingLog->AppendText(wxString::Format(_("The setting of target column #%d: "), dbcolnr) + *m_tgtcolsnames[dbcolnr]);
         txtColsSettingLog->AppendText(_(" has been changed."));
 
         if (origsrccolnr!=m_colsrccolnr[dbcolnr])
diff --git a/pgadmin/include/utils/pgcsvfile.h b/pgadmin/include/utils/pgcsvfile.h
index dc11ce4..7507dc9 100755
--- a/pgadmin/include/utils/pgcsvfile.h
+++ b/pgadmin/include/utils/pgcsvfile.h
@@ -14,7 +14,7 @@ class pgCSVFile
 public:
     // Archive format
     enum ArchiveFormat { ARCHUNKNOWN=0, ARCHZIP=0x1, ARCHTAR=0x2, ARCHGZIP=0x4, ARCHBZIP2=0x8 };
-    static const int MAXENTRYNUM = 127;
+    static const uint MAXENTRYNUM = 127;
     // Unix: LF, Dos: CR LF, Mac: CR
     static const wxChar LF = wxT('\n');//'LF' = 0xA = 10
     static const wxChar CR = wxT('\r');//'CR' = 0xD = 13
@@ -137,7 +137,7 @@ public:
     bool WidthDlmIsOk() { return m_delimitedbychar || m_widthdlmisok; }
 	void Close();
 
-    size_t GenMoreFilePreview(wxString *pvstr = NULL);
+    wxFileOffset GenMoreFilePreview(wxString *pvstr = NULL);
 
     const wxString& GetFilePreview() { return m_pvfilecont; }
 
@@ -162,14 +162,14 @@ private:
     bool ValidateSetting();
 
     size_t GenCSVPreview(const bool isinit = false);
-    size_t MB2str(wxCSConv *txtconv, wxString *bufstr, char* inbuf, const size_t bufos, size_t& datlen);
+    wxFileOffset MB2str(wxCSConv *txtconv, wxString *bufstr, char* inbuf, const size_t bufos, size_t& datlen);
 
     wxString **ParseLine(const wxChar *csvdata, size_t *parsedoffset, const bool hasmore,
                     wxString **parsedvals, size_t *curcolnr,
-                    size_t *rsval, wxString *linedata);
+                    wxFileOffset *rsval, wxString *linedata);
     wxString **ParseLine(const wxChar *csvdata, size_t *parsedoffset, const bool hasmore,
                     wxString **parsedvals, size_t *curcolnr, bool *incolparsing, bool *inquotedblk,
-                    size_t *rsval, size_t *filelinenum, wxString *linedata);
+                    wxFileOffset *rsval, size_t *filelinenum, wxString *linedata);
     void ClearParsedLine();
 
     void ClearPreview();
diff --git a/pgadmin/ui/module.mk b/pgadmin/ui/module.mk
index ff1f272..d5e33e1 100644
--- a/pgadmin/ui/module.mk
+++ b/pgadmin/ui/module.mk
@@ -77,6 +77,7 @@ TMP_ui += \
 	$(srcdir)/ui/frmExport.xrc \
 	$(srcdir)/ui/frmGrantWizard.xrc \
 	$(srcdir)/ui/frmHint.xrc \
+	$(srcdir)/ui/frmImport.xrc \
 	$(srcdir)/ui/frmMaintenance.xrc \
 	$(srcdir)/ui/frmOptions.xrc \
 	$(srcdir)/ui/frmPassword.xrc \
diff --git a/pgadmin/utils/pgcsvfile.cpp b/pgadmin/utils/pgcsvfile.cpp
index 86f5608..1eb532c 100755
--- a/pgadmin/utils/pgcsvfile.cpp
+++ b/pgadmin/utils/pgcsvfile.cpp
@@ -403,7 +403,7 @@ void pgCSVFile::LoadEntryList(const wxString* origentryname)
         entriesnum = 0;
         wxTarEntry *tmptarentry;
         m_tarentrylist = new wxTarEntry*[MAXENTRYNUM+1];
-        while (tmptarentry = m_tarinstrm->GetNextEntry())
+        while ((tmptarentry = m_tarinstrm->GetNextEntry()))
         {
             if (tmptarentry->IsDir())
             {
@@ -452,7 +452,7 @@ void pgCSVFile::LoadEntryList(const wxString* origentryname)
 
         entriesnum = 0;
         wxZipEntry *tmpzipentry;
-        while (tmpzipentry = m_zipinstrm->GetNextEntry())
+        while ((tmpzipentry = m_zipinstrm->GetNextEntry()))
         {
             if (tmpzipentry->IsDir())
             {
@@ -917,7 +917,7 @@ const wxString pgCSVFile::GetWidthDelimiterStr()
 	{
 		if (dlmidx)
             widthdlm << wxT(", ");
-        if (m_widthdlm[dlmidx]==NULLWIDTHDELIMITER)
+        if ((int)m_widthdlm[dlmidx]==NULLWIDTHDELIMITER)
             widthdlm << wxT("NULL");
         else
 		    widthdlm << m_widthdlm[dlmidx];
@@ -1114,7 +1114,7 @@ void pgCSVFile::SetPreviewRowsNum(const size_t rowsnum)
     GenCSVPreview(rowsnum==(size_t)0);
 }
 
-size_t pgCSVFile::GenMoreFilePreview(wxString *pvstr)
+wxFileOffset pgCSVFile::GenMoreFilePreview(wxString *pvstr)
 {
     size_t readlen = (size_t)0, buflen = (size_t)0, convlen, pvcurbufsz;
     char readbuf[READBUFSZ];
@@ -1224,7 +1224,7 @@ size_t pgCSVFile::GenMoreFilePreview(wxString *pvstr)
     if (!pvstr)
         delete genstr;
 
-    return buflen;
+    return (wxFileOffset) buflen;
 }
 
 void pgCSVFile::ReparseFilePreview()
@@ -1256,7 +1256,8 @@ size_t pgCSVFile::GenCSVPreview(const bool isinit)
             return wxInvalidOffset;
 
     const wxChar *filedata = m_pvfilecont.GetData();
-    size_t parsedrs, curcolnr, parsedoffset = m_pvparsedoffset, filelinenum;
+    wxFileOffset parsedrs;
+    size_t curcolnr, parsedoffset = m_pvparsedoffset, filelinenum;
     bool isfileeof = Eof(), incolparsing, inquotedblk;
     size_t *tmpcolsnums;
     wxString *fileline, **tmpcsvlines, **parsedvals, ***tmpcolsvals;
@@ -1414,9 +1415,9 @@ void pgCSVFile::ClearCSVPreview()
     m_maxcolsnum = (size_t)0;
 }
 
-size_t pgCSVFile::MB2str(wxCSConv *txtconv, wxString *bufstr, char* inbuf, const size_t bufos, size_t& datlen)
+wxFileOffset pgCSVFile::MB2str(wxCSConv *txtconv, wxString *bufstr, char* inbuf, const size_t bufos, size_t& datlen)
 {
-    size_t convlen;
+    wxFileOffset convlen;
 
     int decr;
     for (decr=0 ; decr < 4 ; decr++)
@@ -1446,7 +1447,7 @@ return value:
     wxInvalidOffset mean need more data
 */
 wxString **pgCSVFile::ParseLine(const wxChar *csvdata, size_t *parsedoffset, bool hasmore,
-                wxString **parsedvals, size_t *curcolnr, size_t *rsval, wxString *linedata)
+                wxString **parsedvals, size_t *curcolnr, wxFileOffset *rsval, wxString *linedata)
 {
     wxASSERT(csvdata[*parsedoffset]);
 
@@ -1501,7 +1502,7 @@ wxString **pgCSVFile::ParseLine(const wxChar *csvdata, size_t *parsedoffset, boo
 
             while (*curcolnr<m_widthdlmsnum)
             {
-                if (m_widthdlm[*curcolnr]==NULLWIDTHDELIMITER)
+                if ((int)m_widthdlm[*curcolnr]==NULLWIDTHDELIMITER)
                     parsedvals[*curcolnr] = NULL;
                 else if (m_widthdlm[*curcolnr])
                     break;
@@ -1534,7 +1535,7 @@ wxString **pgCSVFile::ParseLine(const wxChar *csvdata, size_t *parsedoffset, boo
 
                 while (*curcolnr<m_widthdlmsnum)
                 {
-                    if (m_widthdlm[*curcolnr]==NULLWIDTHDELIMITER)
+                    if ((int)m_widthdlm[*curcolnr]==NULLWIDTHDELIMITER)
                         parsedvals[*curcolnr] = NULL;
                     else if (m_widthdlm[*curcolnr])
                         break;
@@ -1564,7 +1565,7 @@ wxString **pgCSVFile::ParseLine(const wxChar *csvdata, size_t *parsedoffset, boo
         {
             while (*curcolnr<m_widthdlmsnum)
             {
-                if (m_widthdlm[*curcolnr]==NULLWIDTHDELIMITER)
+                if ((int)m_widthdlm[*curcolnr]==NULLWIDTHDELIMITER)
                     parsedvals[*curcolnr] = NULL;
                 else if (m_widthdlm[*curcolnr])
                     break;
@@ -1667,7 +1668,7 @@ filelinenum: how much file lines that be contained in csv row
 */
 wxString **pgCSVFile::ParseLine(const wxChar *csvdata, size_t *parsedoffset, const bool hasmore,
                                 wxString **parsedvals, size_t *curcolnr, bool *incolparsing, bool *inquotedblk,
-                                size_t *rsval, size_t *filelinenum, wxString *linedata)
+                                wxFileOffset *rsval, size_t *filelinenum, wxString *linedata)
 {
     wxASSERT(csvdata[*parsedoffset]);
 
@@ -2395,7 +2396,8 @@ bool pgCSVFile::EndPreview()
     m_parsedoffset = 0;
     if (m_firstrowisheader)
     {
-        size_t parsedrs, curcolnr = (size_t)0, parsedoffset = (size_t)0;
+        wxFileOffset parsedrs;
+        size_t curcolnr = (size_t)0, parsedoffset = (size_t)0;
         wxString **parsedvals;
         if (m_delimitedbychar)
         {
@@ -2474,7 +2476,8 @@ bool pgCSVFile::NextLine(wxString& linedata, wxString**& linevals, int &valsnum)
     if (!filedata[m_parsedoffset] && Eof())
         return true;
 
-    size_t parsedrs, curcolnr = (size_t)0, parsedoffset = m_parsedoffset, convlen;
+    wxFileOffset parsedrs;
+    size_t curcolnr = (size_t)0, parsedoffset = m_parsedoffset, convlen;
     wxString **parsedvals = NULL;
     char* readbuf = NULL;
     bool incolparsing = false, inquotedblk = false;
